Skip to main content
GET
/
api
/
v3
/
deposits
/
{depositId}
Get Deposit
curl --request GET \
  --url https://server.stage.overflow.co/api/v3/deposits/{depositId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-client-id: <api-key>'
{
  "data": {
    "id": "8810f34fd5061afeec3eab67",
    "status": "PAID",
    "type": "AUTOMATED",
    "amountInCents": 125000,
    "arrivalAt": "2026-05-20T00:00:00.000Z",
    "startingBalanceInCents": 0,
    "endingBalanceInCents": 125000,
    "bankName": "Chase",
    "bankLast4": "1234",
    "statementDescriptor": "OVERFLOW PAYOUT",
    "paymentMethodType": [
      "card",
      "ach"
    ],
    "name": "May payout",
    "reconciledAt": null,
    "createdAt": "2026-05-19T00:00:00.000Z",
    "updatedAt": "2026-05-20T00:00:00.000Z",
    "lineItems": [
      {
        "type": "payment",
        "grossValueInCents": 5000,
        "grossFeeValueInCents": 145,
        "referenceId": "6710f34fd5061afeec3eab57",
        "description": "Contribution from John D."
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.overflow.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Client ID for API authentication

x-api-key
string
header
required

API Key for API authentication

Path Parameters

depositId
string
required

Response

data
object
required

Deposit.